Summary:          Graphical CVS Client.
Name:             lincvs
Version:          1.1.5
Release:          0.fdr.4
Epoch:            0
URL:              http://www.lincvs.org
License:          GPL
Group:            Development/Tools
Source0:          http://ppprs1.phy.tu-dresden.de/~trogisch/lincvs/download/LinCVS/lincvs-1.1.5/lincvs-1.1.5-0-generic-src.tgz   
Source1:          lincvs
Source2:          lincvs.desktop
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:         cvs >= 0:1.9.0
BuildRequires:    cvs >= 0:1.9.0
BuildRequires:    qt-devel >= 1:3.0.6
BuildRequires:    XFree86-devel

%description
LinCVS is a graphical Interface for the cvs client commandline tool on the Unix and Windows platform. It allows ato load modules from a server (checkout), create modules on the server (import), as well as checking the state of directories and individual files or updating them. Basic operations like add, remove and commit are supported as matter of course, just like showing the actual differences between the server version and the local sandbox, graphical display of the version tree, and manifoldy graphical support of project maintenance. All actions are logged on the cvs server (configurable via history), and are therewith comprehensible.

To keep LinCVS independant of the cvs version, LinCVS uses the local but separat installed cvs and therewith always should work with the latest version.

#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
qmake -o Makefile lincvs.pro
make %{?_smp_mflags}
  
#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_datadir}/pixmaps

cp -Rpa LinCVS %{buildroot}%{_libdir}
cp -p LinCVS/AppIcon.xpm %{buildroot}%{_datadir}/pixmaps/lincvs.xpm

install -p -D %{SOURCE1} %{buildroot}%{_bindir}/lincvs
install -p -D %{SOURCE2} %{buildroot}%{_datadir}/applications/lincvs.desktop

desktop-file-install --vendor fedora --delete-original 		\
  --dir %{buildroot}%{_datadir}/applications   	\
  --add-category X-Fedora-Extra			\
  --add-category Application			\
  --add-category Development			\
  %{buildroot}%{_datadir}/applications/lincvs.desktop

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS SSH-HOWTO.txt PROXY-HOWTO.txt FAQ.txt
%attr(755,root,root) %{_bindir}/lincvs
%{_libdir}/LinCVS
%{_datadir}/pixmaps/lincvs.xpm
%{_datadir}/applications/fedora-lincvs.desktop

#---------------------------------------------------------------------

%changelog
* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.5-0.fdr.4
- Added XFree86-devel to BuildRequires.
- Changed group to Development/Tools.
- Changed desktop category to Developement.

* Wed Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.1.5-0.fdr.3
- Spec rebuilt after willy-nilly deletion of old one.
